[arch-commits] Commit in libexif-gtk/repos (4 files)

Ionut Biru ibiru at archlinux.org
Thu Nov 12 14:51:27 EST 2009


    Date: Thursday, November 12, 2009 @ 14:51:27
  Author: ibiru
Revision: 58722

Merged revisions 58570,58583 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/libexif-gtk/trunk

........
  r58570 | andrea | 2009-11-09 12:15:10 +0200 (Mon, 09 Nov 2009) | 2 lines
  
  upgpkg: libexif-gtk 0.3.5-9
      fixed patch to use deprecated gtk (FS#15034)
........
  r58583 | andrea | 2009-11-09 17:52:32 +0200 (Mon, 09 Nov 2009) | 1 line
  
  added patch
........

Added:
  libexif-gtk/repos/extra-x86_64/gtk2-2.12.patch
    (from rev 58583, libexif-gtk/trunk/gtk2-2.12.patch)
Modified:
  libexif-gtk/repos/extra-x86_64/	(properties)
  libexif-gtk/repos/extra-x86_64/PKGBUILD
Deleted:
  libexif-gtk/repos/extra-x86_64/gtk2-fix.patch

-----------------+
 PKGBUILD        |   19 +++++++++++--------
 gtk2-2.12.patch |   45 +++++++++++++++++++++++++++++++++++++++++++++
 gtk2-fix.patch  |   13 -------------
 3 files changed, 56 insertions(+), 21 deletions(-)


Property changes on: libexif-gtk/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /libexif-gtk/trunk:1-5508
   + /libexif-gtk/trunk:1-58721

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-12 19:46:20 UTC (rev 58721)
+++ extra-x86_64/PKGBUILD	2009-11-12 19:51:27 UTC (rev 58722)
@@ -1,25 +1,28 @@
-# Maintainer: Eduardo Romero <eduardo at archlinux.org>
+# $Id$
+# Contributor: Eduardo Romero <eduardo at archlinux.org>
 # Contributor: Sebastien Piccand <sebcactus gmail com>
 
 pkgname=libexif-gtk
 pkgver=0.3.5
-pkgrel=8
+pkgrel=9
 pkgdesc="GTK frontend to the libexif library"
 arch=('i686' 'x86_64')
 url="http://libexif.sourceforge.net"
 license=('GPL')
 depends=('libexif' 'gtk2')
 options=('!libtool')
-source=(http://downloads.sourceforge.net/libexif/$pkgname-$pkgver.tar.bz2 gtk2-fix.patch)
-md5sums=('0ecdba41f3e0f20a11b8555bd2dd2a07' '5ecf915e5b9cfd0a75757d3a046b63fa')
+source=(http://downloads.sourceforge.net/libexif/$pkgname-$pkgver.tar.bz2
+	'gtk2-2.12.patch')
+md5sums=('0ecdba41f3e0f20a11b8555bd2dd2a07'
+         'f8d53413c6291a0dca5da99016b1bf47')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   # Patch for gtk2-2.12
-  patch -p1 < ../gtk2-fix.patch || return 1
+  patch -p1 -i ${srcdir}/gtk2-2.12.patch || return 1
   # Patch for libexif
   sed -i 's|exif-mem.h|libexif/exif-mem.h|g' configure
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR=$pkgdir install || return 1
 }

Copied: libexif-gtk/repos/extra-x86_64/gtk2-2.12.patch (from rev 58583, libexif-gtk/trunk/gtk2-2.12.patch)
===================================================================
--- extra-x86_64/gtk2-2.12.patch	                        (rev 0)
+++ extra-x86_64/gtk2-2.12.patch	2009-11-12 19:51:27 UTC (rev 58722)
@@ -0,0 +1,45 @@
+libexif-gtk needs deprecated GTK API.
+--- a/gtk-extensions/Makefile.in
++++ b/gtk-extensions/Makefile.in
+@@ -219,7 +219,6 @@
+ INCLUDES = \
+ 	-I$(top_srcdir)			\
+ 	-I$(top_srcdir)/intl		\
+-	-DGTK_DISABLE_DEPRECATED	\
+ 	$(GTK_CFLAGS)
+ 
+ noinst_LTLIBRARIES = libgtk-extensions.la
+--- a/libexif-gtk/Makefile.in
++++ b/libexif-gtk/Makefile.in
+@@ -251,8 +251,7 @@
+ 	-I$(top_srcdir)/intl				\
+ 	-I$(top_srcdir)/gtk-extensions			\
+ 	$(LIBEXIF_GTK_CFLAGS)				\
+-	-DG_LOG_DOMAIN=\"libexif\"			\
+-	-DGTK_DISABLE_DEPRECATED
++	-DG_LOG_DOMAIN=\"libexif\"
+ 
+ lib_LTLIBRARIES = libexif-gtk.la
+ libexif_gtkincludedir = $(includedir)/libexif-gtk
+--- a/gtk-extensions/Makefile.am
++++ b/gtk-extensions/Makefile.am
+@@ -1,7 +1,6 @@
+ INCLUDES =				\
+ 	-I$(top_srcdir)			\
+ 	-I$(top_srcdir)/intl		\
+-	-DGTK_DISABLE_DEPRECATED	\
+ 	$(GTK_CFLAGS)
+ 
+ noinst_LTLIBRARIES = libgtk-extensions.la
+--- a/libexif-gtk/Makefile.am
++++ b/libexif-gtk/Makefile.am
+@@ -3,8 +3,7 @@
+ 	-I$(top_srcdir)/intl				\
+ 	-I$(top_srcdir)/gtk-extensions			\
+ 	$(LIBEXIF_GTK_CFLAGS)				\
+-	-DG_LOG_DOMAIN=\"libexif\"			\
+-	-DGTK_DISABLE_DEPRECATED
++	-DG_LOG_DOMAIN=\"libexif\"
+ 
+ lib_LTLIBRARIES = libexif-gtk.la
+ 

Deleted: extra-x86_64/gtk2-fix.patch
===================================================================
--- extra-x86_64/gtk2-fix.patch	2009-11-12 19:46:20 UTC (rev 58721)
+++ extra-x86_64/gtk2-fix.patch	2009-11-12 19:51:27 UTC (rev 58722)
@@ -1,13 +0,0 @@
-diff -ur libexif-gtk-0.3.5.orig/libexif-gtk/Makefile.in libexif-gtk-0.3.5/libexif-gtk/Makefile.in
---- libexif-gtk-0.3.5.orig/libexif-gtk/Makefile.in	2007-10-30 12:57:42.000000000 +0000
-+++ libexif-gtk-0.3.5/libexif-gtk/Makefile.in	2007-10-30 13:02:47.000000000 +0000
-@@ -251,8 +251,7 @@
- 	-I$(top_srcdir)/intl				\
- 	-I$(top_srcdir)/gtk-extensions			\
- 	$(LIBEXIF_GTK_CFLAGS)				\
--	-DG_LOG_DOMAIN=\"libexif\"			\
--	-DGTK_DISABLE_DEPRECATED
-+	-DG_LOG_DOMAIN=\"libexif\"
- 
- lib_LTLIBRARIES = libexif-gtk.la
- libexif_gtkincludedir = $(includedir)/libexif-gtk



More information about the arch-commits mailing list